"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class LoadFileError extends Error {
    constructor(filename, yamlException) {
        super(`Failed to parse '${filename}': ${yamlException.message}`);
        this.filename = filename;
        this.yamlException = yamlException;
    }
}
exports.LoadFileError = LoadFileError;
//# sourceMappingURL=index.js.map