"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const js_yaml_1 = tslib_1.__importDefault(require("js-yaml"));
const write_file_sync_1 = tslib_1.__importDefault(require("../.utils/write-file-sync"));
function mkfn(dump) {
    return (data, target, options) => write_file_sync_1.default(target, dump(data, options), options);
}
exports.dumpFileSync = mkfn(js_yaml_1.default.dump);
exports.unsafe = exports.dumpFileSync;
exports.safeDumpFileSync = mkfn(js_yaml_1.default.safeDump);
exports.safe = exports.safeDumpFileSync;
exports.default = exports.dumpFileSync;
//# sourceMappingURL=index.js.map