"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const js_yaml_1 = tslib_1.__importDefault(require("js-yaml"));
const write_file_1 = tslib_1.__importDefault(require("../.utils/write-file"));
function mkfn(dump) {
    return (data, target, options) => write_file_1.default(target, dump(data, options), options);
}
exports.dumpFile = mkfn(js_yaml_1.default.dump);
exports.unsafe = exports.dumpFile;
exports.safeDumpFile = mkfn(js_yaml_1.default.safeDump);
exports.safe = exports.safeDumpFile;
exports.default = exports.dumpFile;
//# sourceMappingURL=index.js.map